# eric7.Plugins.PluginWizardEricMessageBox

Module implementing the EricMessageBox wizard plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
pyqtApi
shortDescription
version

### Classes

EricMessageBoxWizard | Class implementing the EricMessageBox wizard plugin.

### Functions

None

## EricMessageBoxWizard

Class implementing the EricMessageBox wizard plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

EricMessageBoxWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action.
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### EricMessageBoxWizard (Constructor)

EricMessageBoxWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### EricMessageBoxWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Return:
  the generated code (string)

#### EricMessageBoxWizard.__handle

__handle()

Private method to handle the wizards action.

#### EricMessageBoxWizard.__initAction

__initAction()

Private method to initialize the action.

#### EricMessageBoxWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### EricMessageBoxWizard.activate

activate()

Public method to activate this plugin.

Return:
  tuple of None and activation status (boolean)

#### EricMessageBoxWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up